Attach Tiktok profile

http
POST https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/tiktok/accounts/{accountId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesw37swmmLbA02zgqKPpxITe2Account Account Id
accountIdstringYesw37swmmLbA02zgqKPpxITeAccount Id

Body

NameTypeRequiredExampleDescription
typestringNoPossible values: 'page', 'group', 'profile', 'account', 'business'
originIdstringNo244405****11687
namestringNoJOHN_DEO
avatarstringNo
verifiedbooleanNoTrue
usernamestringNoJOHN_DEO
companyIdstringNosdfdsfdsfEWEsdfsdsW32ddCompany ID

Responses

201 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 201

  • message (string, required): Message Example: Added Tiktok Account

  • results (object): Requested Results

json
{
  "success": true,
  "statusCode": 201,
  "message": "Added Tiktok Account"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/tiktok/accounts/YOUR_accountId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "page",
  "originId": "244405****11687",
  "name": "JOHN_DEO",
  "avatar": "string",
  "verified": true,
  "username": "JOHN_DEO",
  "companyId": "sdfdsfdsfEWEsdfsdsW32dd"
}'

Last updated October 26, 2026

Was this page helpful?